List account balance history
curl --request GET \
--url https://api.finta.io/v2/accounts/{accountId}/balance-history \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.finta.io/v2/accounts/{accountId}/balance-history"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.finta.io/v2/accounts/{accountId}/balance-history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balanceHistory": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bankAccountId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"accountName": "<string>",
"date": "2023-12-25",
"balance": 123,
"currency": "<string>"
}
],
"pageInfo": {
"nextCursor": "<string>",
"hasMore": true
}
}{
"error": {
"code": "STORAGE_MODE_REQUIRED",
"message": "<string>"
}
}{
"error": "Missing or invalid Authorization header"
}{
"error": {
"code": "STORAGE_MODE_REQUIRED",
"message": "<string>"
}
}{
"error": {
"code": "STORAGE_MODE_REQUIRED",
"message": "<string>"
}
}{
"error": {
"code": "RATE_LIMITED",
"message": "Per-minute rate limit exceeded (10 requests/min on Standard plan)."
}
}Accounts
List account balance history
Returns stored daily balance snapshots for a single account. Supports cursor pagination.
GET
/
accounts
/
{accountId}
/
balance-history
List account balance history
Authorizations
Finta API key from the dashboard (Bearer token).
Path Parameters
Finta bank account ID
Query Parameters
Inclusive start date (YYYY-MM-DD)
Inclusive end date (YYYY-MM-DD)
Opaque pagination cursor from a previous response
Page size (default 50, max 250)
Required range:
1 <= x <= 250⌘I